# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_sourceparams_t Struct Reference

`#include <dirac_types.h>`

List of all members.

## Public Attributes

- unsigned int width
- unsigned int height
- dirac_chroma_t chroma
- unsigned int chroma_width
- unsigned int chroma_height
- unsigned int source_sampling
- int topfieldfirst
- dirac_frame_rate_t frame_rate
- dirac_pix_asr_t pix_asr
- dirac_clean_area_t clean_area
- dirac_signal_range_t signal_range
- dirac_colour_spec_t colour_spec

## Detailed Description

Structure that holds the source parameters

## Member Data Documentation

dirac_chroma_t dirac_sourceparams_t::chroma

chroma type

unsigned int dirac_sourceparams_t::chroma_height

number of lines of chroma per frame

unsigned int dirac_sourceparams_t::chroma_width

numper of pixels of chroma per line

dirac_clean_area_t dirac_sourceparams_t::clean_area

dirac_colour_spec_t dirac_sourceparams_t::colour_spec

dirac_frame_rate_t dirac_sourceparams_t::frame_rate

frame rate

unsigned int dirac_sourceparams_t::height

number of lines per frame

dirac_pix_asr_t dirac_sourceparams_t::pix_asr

pixel aspect ratio

dirac_signal_range_t dirac_sourceparams_t::signal_range

unsigned int dirac_sourceparams_t::source_sampling

source sampling field: 0 - progressive; 1 - interlaced

int dirac_sourceparams_t::topfieldfirst

top field comes first : 0 - false; 1 - true. Set by Dirac library.

unsigned int dirac_sourceparams_t::width

numper of pixels per line

The documentation for this struct was generated from the following file:

- dirac_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.